if (! $?LCG_ENV_SET) then
    if ($?GLOBUS_LOCATION) then
      set exclude = GLOBUS_LOCATION
    else
      set exclude = this_will_not_match
    endif

    if ( -r /etc/sysconfig/globus ) then
      eval `grep -v $exclude= /etc/sysconfig/globus | grep -v '^#' | grep = | sed 's/^/set /'`
    endif

    unset exclude

    if (! $?GLOBUS_LOCATION ) then
      set GLOBUS_LOCATION=/opt/globus
    endif

    if ( -d $GLOBUS_LOCATION ) then
      if ( -r "$GLOBUS_LOCATION/etc/globus-user-env.csh" ) then
	setenv GLOBUS_LOCATION $GLOBUS_LOCATION
	source $GLOBUS_LOCATION/etc/globus-user-env.csh
      endif
    endif

    if ( $?GLOBUS_TCP_PORT_RANGE ) then
      setenv GLOBUS_TCP_PORT_RANGE "$GLOBUS_TCP_PORT_RANGE"
    endif

    if ( $?GLOBUS_UDP_PORT_RANGE ) then
      setenv GLOBUS_UDP_PORT_RANGE "$GLOBUS_UDP_PORT_RANGE"
    endif
endif
