if test "x${LCG_ENV_SET+x}" = x; then
    if [ -n "$GLOBUS_LOCATION" ]; then
      exclude=GLOBUS_LOCATION
    else
      exclude=this_will_not_match
    fi

    if [ -r /etc/sysconfig/globus ]; then
      eval "`grep -v $exclude= /etc/sysconfig/globus | grep -v '^#' | grep =`"
    fi

    unset exclude

    GLOBUS_LOCATION=${GLOBUS_LOCATION:-/opt/globus}

    if [ -d "$GLOBUS_LOCATION" ]; then
      export GLOBUS_LOCATION

      if [ -r "$GLOBUS_LOCATION/etc/globus-user-env.sh" ]; then
	  . $GLOBUS_LOCATION/etc/globus-user-env.sh
      fi
    fi

    export GLOBUS_TCP_PORT_RANGE
    export GLOBUS_UDP_PORT_RANGE
fi
